﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;

namespace ComboEditorDisableItems
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ComboBoxItemsProvider provider = LayoutRoot.Resources["CylinderStateItemsProvider"] as ComboBoxItemsProvider;
            provider.DisplayMemberPath = "Name";
            provider.ValuePath = "Name";
            provider.ItemsSource = new List<ComboData>
            {
                new ComboData { Name = "Human Resources", IsEnabled = true },
                new ComboData { Name ="Sales", IsEnabled = false },
                new ComboData { Name ="Admin", IsEnabled = false },
                new ComboData { Name ="Accounting", IsEnabled = true },
                new ComboData { Name ="Board of Directors", IsEnabled = true },
            };
        }
    }

    public class ComboData
    {
        public string Name { get; set; }
        public bool IsEnabled { get; set; }
    }
}
